using VRH.Log4Pro.MultiLanguageManager;

namespace Vrh.iScheduler
{
	/// <summary>
	/// Az iScheduler-ben használatos szókódok.
	/// </summary>
	[TranslationModule(MODULNAME)]
	public static class SchedulerWordCodes
	{
		internal const string huhu = "hu-HU";
		internal const string enus = "en-US";

		public const string MODULNAME = "ISCHEDULER";
		/// <summary>
		/// Az iScheduler-ben használatos szókódok.
		/// </summary>
		public static class iScheduler
		{
			#region Error
			/// <summary>
			/// Hibaüzenetek szókódjai.
			/// </summary>
			public static class Error
			{
				/// <summary>
				/// "A fájl nem létezik! Fájlnév={0}" / "The file does not exist! Filename={0}"
				/// </summary>
				[InitializeTranslation("A fájl nem létezik! Fájlnév={0}", huhu)]
				[InitializeTranslation("The file does not exist! Filename={0}", enus)]
				public static class FileDoesNotExists { }

				/// <summary>
				/// "Hiba történt az XML fájl feldolgozása közben!" /
				/// "Error occured when processing XML file!"
				/// </summary>
				[InitializeTranslation("Hiba történt az XML fájl feldolgozása közben!", huhu)]
				[InitializeTranslation("Error occured when processing XML file!", enus)]
				public static class ErrorOccuredWhileXMLParsing { }

				/// <summary>
				/// "Nem található a megadott ütemezés! Azonosító = {0}"
				/// "The specified schedule could not be found! ID = {0}"
				/// </summary>
				[InitializeTranslation("Nem található a megadott ütemezés! Azonosító = {0}", huhu)]
				[InitializeTranslation("The specified schedule could not be found! ID = {0}", enus)]
				public static class NotFoundSchedule { }

				/// <summary>
				/// "A \"bootboxid\" paraméter nincs vagy üres! Az iScheduler.Editor számára szükséges a \"bootboxid\" paraméter!" /
				/// "The \"bootboxid\" parameter is missing or empty! The iScheduler.Editor requires the \"bootboxid\" parameter!"
				/// </summary>
				[InitializeTranslation("A \"bootboxid\" paraméter nincs vagy üres! Az iScheduler.Editor számára szükséges a \"bootboxid\" paraméter!", huhu)]
				[InitializeTranslation("The \"bootboxid\" parameter is missing or empty! The iScheduler.Editor requires the \"bootboxid\" parameter!", enus)]
				public static class BootboxIdEmpty { }

				/// <summary>
				/// "Az 'id' paraméter típusa rossz! id={0}"
				/// </summary>
				[InitializeTranslation("Az 'id' paraméter típusa rossz! id={0}", huhu)]
				[InitializeTranslation("Type of 'id' parameter is incorrect! id={0}", enus)]
				public static class TypeOfIdIsWrong { }

				/// <summary>
				/// "Az ütemezés nem egy sorozat tagja, pedig annak törlését kezdeményezte!"
				/// </summary>
				[InitializeTranslation("Az ütemezés nem egy sorozat tagja, pedig annak törlését kezdeményezte!", huhu)]
				[InitializeTranslation("Schedule is not a member of a schedule series, but you initiated the deletion of a series!", enus)]
				public static class ScheduleIsNotAMemberOfTheSeries { }

				/// <summary>
				/// "Konzisztencia ellenõrzés nem lehetséges, mert még nincs ütemezés az adatbázisban!"
				/// </summary>
				[InitializeTranslation("Konzisztencia ellenõrzés nem lehetséges, mert még nincs ütemezés az adatbázisban!", huhu)]
				[InitializeTranslation("No consistency check is possibile, as there are no schedules in the database", enus)]
				public static class ThereAreNoSchedules { }

				/// <summary>
				/// "Ez a nézet még fejlesztés alatt! Nézet kódja={0}"
				/// </summary>
				[InitializeTranslation("Ez a nézet még fejlesztés alatt! Nézet kódja={0}", huhu)]
				[InitializeTranslation("Under development. View code ={0}", enus)]
				public static class ThisViewIsUnderDeveloped { }

				/// <summary>
				/// "A nézet kódja nem létezik! Nézet kódja={0}"
				/// </summary>
				[InitializeTranslation("A nézet kódja nem létezik! Nézet kódja={0}", huhu)]
				[InitializeTranslation("View does not exist! View code={0}", enus)]
				public static class ThisViewIsNotExists { }

				/// <summary>
				/// "Az ütemezett feladat idõpontja nem lehet korábbi a módosítás idõpontjánál!"
				/// </summary>
				[InitializeTranslation("Az ütemezett feladat idõpontja nem lehet korábbi a módosítás idõpontjánál!", huhu)]
				[InitializeTranslation("Schedule time can not be before current time!", enus)]
				public static class TimeOfTheScheduledTaskCannotBeErlier { }
			}
			#endregion Error

			#region Manager
			/// <summary>
			/// Az iScheduler.Manager-rel kapcsolatos szókódok
			/// </summary>
			public static class Manager
			{
				/// <summary>
				/// "Ütemezés kezelõ" 
				/// </summary>
				[InitializeTranslation("Ütemezés kezelõ", huhu)]
				[InitializeTranslation("Schedule Manager", enus)]
				public static class Title { }

				/// <summary>
				/// "Katt a módosításhoz!"
				/// </summary>
				[InitializeTranslation("Katt a módosításhoz!", huhu)]
				[InitializeTranslation("Click for modification!", enus)]
				public static class MakeEditableToolTip { }

				/// <summary>
				/// "Kérem várjon ..."
				/// </summary>
				[InitializeTranslation("Kérem várjon ...", huhu)]
				[InitializeTranslation("Please wait ...", enus)]
				public static class WaitMessage { }

				/// <summary>
				/// "Biztos benne, hogy törli az ütemezést?"
				/// </summary>
				[InitializeTranslation("Biztos benne, hogy törli az ütemezést?", huhu)]
				[InitializeTranslation("Are You sure to delete the schedule?", enus)]
				public static class ConfirmDelete { }

				/// <summary>
				/// "Biztos benne, hogy az ütemezést kitörli a sorozatból?"
				/// </summary>
				[InitializeTranslation("Biztos benne, hogy az ütemezést kitörli a sorozatból?", huhu)]
				[InitializeTranslation("Are you sure to remove schedule from this series?", enus)]
				public static class ConfirmDeleteFromSeries { }

				/// <summary>
				/// "Az összes olyan ütemezés törlését kezdeményezte, amelyhez jelen ütemezési is tartozik. Az ütemezések törlése után, a sorozatazonosító is törlésre kerül! \n\nBiztos benne, hogy törli a sorozatot és a sorozathoz tartozó összes ütemezést?"
				/// </summary>
				[InitializeTranslation("Az összes olyan ütemezés törlését kezdeményezte, amelyhez jelen ütemezési is tartozik. Az ütemezések törlése után, a sorozatazonosító is törlésre kerül!"
									 + " Biztos benne, hogy törli a sorozatot és a sorozathoz tartozó összes ütemezést?", huhu)]
				[InitializeTranslation("You initiated the removal of all the schedules of the series where this schedule belongs to. After removal of all schedules, the series will be removed!"
									 + " Are You sure to remove the series with all the schedules in it?", enus)]
				public static class ConfirmDeleteSeries { }

				/// <summary>
				/// "Konzisztencia vizsgálat folyamatban ..."
				/// </summary>
				[InitializeTranslation("Konzisztencia vizsgálat folyamatban ...", huhu)]
				[InitializeTranslation("Consistency check is running...", enus)]
				public static class ConsistencyWaitMessage { }

				/// <summary>
				/// "Azok az ütemezések, melyek objektuma már nem létezik."
				/// </summary>
				[InitializeTranslation("Azok az ütemezések, melyek objektuma már nem létezik.", huhu)]
				[InitializeTranslation("These are the schedules, that refer to objects, that do not exist anymore.", enus)]
				public static class ConsistencyTitle { }

				#region Button
				public static class Button
				{
					[InitializeTranslation("Hónap nézet", huhu)]
					[InitializeTranslation("Month view", enus)]
					public static class GoToMonthView { }

					[InitializeTranslation("Lista nézet", huhu)]
					[InitializeTranslation("List view", enus)]
					public static class GoToListView { }

					[InitializeTranslation("Konzisztencia ellenõrzés KI", huhu)]
					[InitializeTranslation("Consistency check OFF", enus)]
					public static class ConsistencyCheckOff { }

					[InitializeTranslation("Konzisztencia ellenõrzés BE", huhu)]
					[InitializeTranslation("Consistency check ON", enus)]
					public static class ConsistencyCheckOn { }

					[InitializeTranslation("Új ütemezés", huhu)]
					[InitializeTranslation("Create new schedule", enus)]
					public static class NewSchedule { }

					[InitializeTranslation("Objektum menedzser", huhu)]
					[InitializeTranslation("Object manager", enus)]
					public static class ObjectManager { }
				}
				#endregion Button

				#region Label
				/// <summary>
				/// Manager-ben használatos címkék.
				/// </summary>
				public static class Label
				{
					/// <summary>
					/// "Id" / "ID"
					/// </summary>
					[InitializeTranslation("Id", huhu)]
					[InitializeTranslation("ID", enus)]
					public static class Id { }

					/// <summary>
					/// "Objektum" / "Object"
					/// </summary>
					[InitializeTranslation("Objektum", huhu)]
					[InitializeTranslation("Object", enus)]
					public static class ObjectId { }

					/// <summary>
					/// "Mûvelet" / "Operation"
					/// </summary>
					[InitializeTranslation("Mûvelet", huhu)]
					[InitializeTranslation("Operation", enus)]
					public static class OperationId { }

					/// <summary>
					/// "Idõpont" / "Timestamp"
					/// </summary>
					[InitializeTranslation("Idõpont", huhu)]
					[InitializeTranslation("Timestamp", enus)]
					public static class OperationTime { }

					/// <summary>
					/// "Állapot" / "Status"
					/// </summary>
					[InitializeTranslation("Állapot", huhu)]
					[InitializeTranslation("Status", enus)]
					public static class State { }

					/// <summary>
					/// "Típus" / "Type"
					/// </summary>
					[InitializeTranslation("Típus", huhu)]
					[InitializeTranslation("Type", enus)]
					public static class ObjectTpye { }

					/// <summary>
					/// "Csoport" / "Group"
					/// </summary>
					[InitializeTranslation("Csoport", huhu)]
					[InitializeTranslation("Group", enus)]
					public static class ObjectGroupId { }

					/// <summary>
					/// "Visszatérési érték:" / "Return value:"
					/// </summary>
					[InitializeTranslation("Visszatérési érték:", huhu)]
					[InitializeTranslation("Return value:", enus)]
					public static class ReturnValue { }

					/// <summary>
					/// "Sorozat" / "Series"
					/// </summary>
					[InitializeTranslation("Sorozat", huhu)]
					[InitializeTranslation("Series", enus)]
					public static class SeriesType { }

					/// <summary>
					/// "Sorozatazonosító" / "Series ID"
					/// </summary>
					[InitializeTranslation("Sorozatazonosító", huhu)]
					[InitializeTranslation("Series ID", enus)]
					public static class SeriesId { }
				}
				#endregion Label

				#region State
				/// <summary>
				/// Idõzítés állapotainak fordításai.
				/// </summary>
				public static class State
				{
					/// <summary>
					/// "Aktív" / "Active"
					/// </summary>
					[InitializeTranslation("Aktív", huhu)]
					[InitializeTranslation("Active", enus)]
					public static class Active { }

					/// <summary>
					/// "Sikeres" / "Success"
					/// </summary>
					[InitializeTranslation("Sikeres", huhu)]
					[InitializeTranslation("Success", enus)]
					public static class Success { }

					/// <summary>
					/// "Hibás" / "Failed"
					/// </summary>
					[InitializeTranslation("Hibás", huhu)]
					[InitializeTranslation("Failed", enus)]
					public static class Failed { }
				}
				#endregion State
			}
			#endregion Manager

			#region Editor
			/// <summary>
			/// Az iScheduler.Editor-ral kapcsolatos szókódok
			/// </summary>
			public static class Editor
			{
				/// <summary>
				/// "Új ütemezés" / "New schedule"
				/// </summary>
				[InitializeTranslation("Új ütemezés", huhu)]
				[InitializeTranslation("New schedule", enus)]
				public static class TitleAdd { }

				/// <summary>
				/// "Ütemezés módosítása" / "Schedule change"
				/// </summary>
				[InitializeTranslation("Ütemezés módosítása", huhu)]
				[InitializeTranslation("Schedule change", enus)]
				public static class TitleUpdate { }

				/// <summary>
				/// "Az ütemezés már nem egy sorozat tagja." / "Scheduling is no longer part of a series."
				/// </summary>
				[InitializeTranslation("Az ütemezés már nem egy sorozat tagja.", huhu)]
				[InitializeTranslation("Scheduling is no longer part of a series.", enus)]
				public static class ScheduleIsNotAMemberOfASeries { }

				/// <summary>
				/// "Több kijelölése Ctrl + Click" / "Select more Ctrl + Click"
				/// </summary>
				[InitializeTranslation("Több kijelölése Ctrl + Click", huhu)]
				[InitializeTranslation("Select more Ctrl + Click", enus)]
				public static class FootnoteOfDays { }

				/// <summary>
				/// "Kérem, várjon a mûvelet végrehajtására !" / "Please wait for the operation to complete!"
				/// </summary>
				[InitializeTranslation("Kérem, várjon a mûvelet végrehajtására !", huhu)]
				[InitializeTranslation("Please wait for the operation to complete!", enus)]
				public static class ExecuteWaitMessage { }

				/// <summary>
				/// "A mûvelet eredménye !" / "Result of the operation !"
				/// </summary>
				[InitializeTranslation("A mûvelet eredménye !", huhu)]
				[InitializeTranslation("Result of the operation !", enus)]
				public static class ResultOfTheOperation { }

				#region Button
				/// <summary>
				/// Editor gombjainak feliratai.
				/// </summary>
				public static class Button
				{
					/// <summary>
					/// "Kilépés" / "Exit"
					/// </summary>
					[InitializeTranslation("Kilépés", huhu)]
					[InitializeTranslation("Exit", enus)]
					public static class Exit { }

					/// <summary>
					/// "Mentés" / "Save"
					/// </summary>
					[InitializeTranslation("Mentés", huhu)]
					[InitializeTranslation("Save", enus)]
					public static class Save { }

					/// <summary>
					/// "Törlés" / "Remove"
					/// </summary>
					[InitializeTranslation("Törlés", huhu)]
					[InitializeTranslation("Remove", enus)]
					public static class Remove { }

					/// <summary>
					/// "Objektum szerkesztése" / "v"
					/// </summary>
					[InitializeTranslation("Objektum szerkesztése", huhu)]
					[InitializeTranslation("Object editing", enus)]
					public static class ObjectEditor { }

					/// <summary>
					/// "Törlés a sorozatból" / "Remove from the series"
					/// </summary>
					[InitializeTranslation("Törlés a sorozatból", huhu)]
					[InitializeTranslation("Remove from the series", enus)]
					public static class DeleteFromSeries { }

					/// <summary>
					/// "Sorozat törlése" / "Remove series"
					/// </summary>
					[InitializeTranslation("Sorozat törlése", huhu)]
					[InitializeTranslation("Remove series", enus)]
					public static class DeleteTheSeries { }
				}
				#endregion Button

				#region Label
				/// <summary>
				/// Editorban használatos címkék fordításai.
				/// </summary>
				public static class Label
				{

					/// <summary>
					/// "Mûvelet végrehajtása mentés után" / "Perform operation after saving"
					/// </summary>
					[InitializeTranslation("Mûvelet végrehajtása mentés után", huhu)]
					[InitializeTranslation("Perform operation after saving", enus)]
					public static class ScheduleExecute { }

					/// <summary>
					/// "Ütemezés típusa" / "Schedule type"
					/// </summary>
					[InitializeTranslation("Ütemezés típusa", huhu)]
					[InitializeTranslation("Schedule type", enus)]
					public static class ScheduleType { }

					/// <summary>
					/// "Elsõ alkalom" / "First time"
					/// </summary>
					[InitializeTranslation("Elsõ alkalom", huhu)]
					[InitializeTranslation("First time", enus)]
					public static class FirstTime { }

					/// <summary>
					/// "Hetek száma" / "Number of weeks"
					/// </summary>
					[InitializeTranslation("Hetek száma", huhu)]
					[InitializeTranslation("Number of weeks", enus)]
					public static class NumberOfWeeks { }

					/// <summary>
					/// "Hónapok száma" / "Number of months"
					/// </summary>
					[InitializeTranslation("Hónapok száma", huhu)]
					[InitializeTranslation("Number of months", enus)]
					public static class NumberOfMonths { }

					/// <summary>
					/// "Sorozat megnevezése" / "Series name"
					/// </summary>
					[InitializeTranslation("Sorozat megnevezése", huhu)]
					[InitializeTranslation("Series name", enus)]
					public static class SeriesName { }

					/// <summary>
					/// "Sorozat színe" / "Series color"
					/// </summary>
					[InitializeTranslation("Sorozat színe", huhu)]
					[InitializeTranslation("Series color", enus)]
					public static class SeriesColor { }

					/// <summary>
					/// "Napok" / "Days"
					/// </summary>
					[InitializeTranslation("Napok", huhu)]
					[InitializeTranslation("Days", enus)]
					public static class Days { }

					#region A hét napjai

					/// <summary>
					/// "" / ""
					/// </summary>
					[InitializeTranslation("Hétfõ", huhu)]
					[InitializeTranslation("Monday", enus)]
					public static class Monday { }

					/// <summary>
					/// "Kedd" / "Tuesday"
					/// </summary>
					[InitializeTranslation("Kedd", huhu)]
					[InitializeTranslation("Tuesday", enus)]
					public static class Tuesday { }

					/// <summary>
					/// "Szerda" / "Wednesday"
					/// </summary>
					[InitializeTranslation("Szerda", huhu)]
					[InitializeTranslation("Wednesday", enus)]
					public static class Wednesday { }

					/// <summary>
					/// "Csütörtök" / "Thursday"
					/// </summary>
					[InitializeTranslation("Csütörtök", huhu)]
					[InitializeTranslation("Thursday", enus)]
					public static class Thursday { }

					/// <summary>
					/// "Péntek" / "Friday"
					/// </summary>
					[InitializeTranslation("Péntek", huhu)]
					[InitializeTranslation("Friday", enus)]
					public static class Friday { }

					/// <summary>
					/// "Szombat" / "Saturday"
					/// </summary>
					[InitializeTranslation("Szombat", huhu)]
					[InitializeTranslation("Saturday", enus)]
					public static class Saturday { }

					/// <summary>
					/// "Vasárnap" / "Sunday"
					/// </summary>
					[InitializeTranslation("Vasárnap", huhu)]
					[InitializeTranslation("Sunday", enus)]
					public static class Sunday { }

					#endregion A hét napjai
				}
				#endregion Label

				#region Wizard
				/// <summary>
				/// Az Editor-ban a radió buttonok elnevezéséhez használjuk.
				/// </summary>
				public static class Wizard
				{
					/// <summary>
					/// "Egyszeri" / "One time"
					/// </summary>
					[InitializeTranslation("Egyszeri", huhu)]
					[InitializeTranslation("One time", enus)]
					public static class Single { }

					/// <summary>
					/// "Heti" / "Weekly"
					/// </summary>
					[InitializeTranslation("Heti", huhu)]
					[InitializeTranslation("Weekly", enus)]
					public static class Weekly { }

					/// <summary>
					/// "Havi" / "Monthly"
					/// </summary>
					[InitializeTranslation("Havi", huhu)]
					[InitializeTranslation("Monthly", enus)]
					public static class Monthly { }
				}
				#endregion Wizard
			}
            #endregion Editor

            #region Execute
            public static class Execute
			{
				[InitializeTranslation("Az ütemezés végrehajtása befejeződött.", huhu)]
				[InitializeTranslation("Execution of schedule finished.", enus)]
				public static class ActionIsCompleted { }

				[InitializeTranslation("Név", huhu)]
				[InitializeTranslation("Name", enus)]
				public static class ColName { }

				[InitializeTranslation("Érték", huhu)]
				[InitializeTranslation("Value", enus)]
				public static class ColVal { }
			}
			#endregion Execute
		}
	}
}